version: '3.8'

services:
  genesis-voice-bridge:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: genesis-voice-bridge
    ports:
      - "8900:8900"
    environment:
      # Auth token for MCP bearer auth
      - GENESIS_MCP_AUTH_TOKEN=${GENESIS_MCP_AUTH_TOKEN:-genesis-voice-bridge-2026-production-key}
      # Server config
      - GENESIS_MCP_HOST=0.0.0.0
      - GENESIS_MCP_PORT=8900
      - GENESIS_MCP_TRANSPORT=sse
      # Supermemory
      - SUPERMEMORY_API_KEY=${SUPERMEMORY_API_KEY:-sm_EWRhbQPEodMHkJd8Vbshpx_wCauANQAwJFvFfTwTTrujWzHTQajuJPRJLFwavESILxQZpmDiqfIbDAAfGCffQQb}
      - SUPERMEMORY_CONTAINER_TAG=${SUPERMEMORY_CONTAINER_TAG:-genesis-kinan}
      # FalkorDB
      - FALKORDB_HOST=${FALKORDB_HOST:-152.53.201.152}
      - FALKORDB_PORT=${FALKORDB_PORT:-6380}
      # Genesis root (for MEMORY.md and hive)
      - GENESIS_ROOT=/genesis
    volumes:
      # Mount Genesis root for MEMORY.md and hive access
      - genesis-data:/genesis:ro
    restart: always
    healthcheck:
      test: ["CMD", "python", "-c", "import urllib.request; urllib.request.urlopen('http://localhost:8900/health')"]
      interval: 30s
      timeout: 10s
      retries: 3

volumes:
  genesis-data:
    driver: local

networks:
  default:
    name: genesis-network
    external: true
